> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thena.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a help center



## OpenAPI

````yaml delete /help-centers/{helpCenterId}
openapi: 3.0.0
info:
  title: Thena Help Center API Documentation
  description: The Thena Help Center API description
  version: '1.0'
  contact: {}
servers:
  - url: https://helpcenter.thena.ai
    description: Production
security:
  - ApiKey: []
    base-access: []
    OrgId: []
    UserId: []
tags: []
paths:
  /help-centers/{helpCenterId}:
    delete:
      tags:
        - Help Centers
      summary: Delete a help center
      operationId: HelpCenterController_deleteHelpcenter
      parameters:
        - name: helpCenterId
          required: true
          in: path
          description: Help Center ID in MongoDB ObjectId format
          schema:
            example: 507f1f77bcf86cd799439011
            type: string
      responses:
        '200':
          description: Help center deleted successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteHelpCenterResponseDto'
        '500':
          description: Failed to delete help center
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteHelpCenterFailedResponseDto'
components:
  schemas:
    DeleteHelpCenterResponseDto:
      type: object
      properties:
        data:
          type: object
          description: Response data
          additionalProperties: false
          nullable: true
          default: null
        message:
          type: string
          description: Response message
          example: Help center deleted successfully.
      required:
        - data
        - message
    DeleteHelpCenterFailedResponseDto:
      type: object
      properties:
        message:
          type: string
          description: Error message
          example: Failed to delete the help center.
        error:
          type: string
          description: Error type
          example: API Error
        statusCode:
          type: number
          description: HTTP status code
          example: 500
      required:
        - message
        - error
        - statusCode
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: Enter your API key

````